Bug 992478 - [ARM] hledger: FTBFS in rawhide
[ARM] hledger: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hledger (Show other bugs)
21
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
TemplateHaskell
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 01:20 EDT by Dennis Gilmore
Modified: 2015-03-16 03:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: hledger-0.23.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 02:34:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 01:20:38 EDT
Your package hledger failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5727946

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7946/5727946/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7946/5727946/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7946/5727946/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jens Petersen 2013-08-20 12:25:37 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5833474

[ 9 of 15] Compiling Hledger.Cli.Balancesheet ( Hledger/Cli/Balancesheet.hs, dist/build/Hledger/Cli/Balancesheet.p_o )
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... done.
Loading package array-0.4.0.1 ... linking ... done.
Loading package deepseq-1.3.0.1 ... linking ... done.
Loading package bytestring-0.10.0.2 ... linking ... done.
Loading package transformers-0.3.0.0 ... linking ... done.
Loading package mtl-2.1.2 ... linking ... done.
Loading package text-0.11.3.1 ... linking ... done.
Loading package parsec-3.1.3 ... linking ... done.
Loading package filepath-1.3.0.1 ... linking ... done.
Loading package old-locale-1.0.0.5 ... linking ... done.
Loading package time-1.4.0.1 ... linking ... done.
Loading package unix-2.6.0.1 ... linking ... done.
Loading package directory-1.2.0.1 ... linking ... done.
Loading package process-1.1.0.2 ... linking ... done.
Loading package containers-0.5.0.0 ... linking ... done.
Loading package pretty-1.1.1.0 ... linking ... done.
Loading package template-haskell ... linking ... done.
Loading package shakespeare-1.0.4 ... linking ... done.
Loading package shakespeare-text-1.0.0.5 ... linking ... done.
Loading package HUnit-1.2.5.2 ... linking ... done.
Loading package cmdargs-0.10.3 ... linking ... done.
Loading package csv-0.1.2 ... linking ... done.
Loading package old-time-1.1.0.1 ... linking ... done.
Loading package mtlparse-0.1.2 ... linking ... done.
Loading package regexpr-0.5.4 ... linking ... done.
Loading package safe-0.3.3 ... linking ... done.
Loading package split-0.2.2 ... linking ... done.
Loading package utf8-string-0.3.7 ... linking ... done.
Loading package hledger-lib-0.19.3 ... linking ... done.
Loading package terminfo-0.3.2.5 ... linking ... done.
Loading package haskeline-0.7.0.3 ... linking ... done.
error: Bad exit status from /var/tmp/rpm-tmp.QiM0ps (%build)
Comment 2 Fedora End Of Life 2013-09-16 11:35:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Jens Petersen 2015-02-28 02:34:56 EST
This looks fixed with ghc-7.8 (ie F22+).
Comment 4 Fedora Update System 2015-02-28 04:46:52 EST
hledger-0.23.2-1.fc22,ghc-wizards-1.0.1-1.fc22,ghc-control-monad-free-0.6.1-3.fc22,ghc-tabular-0.2.2.7-2.fc22,ghc-prelude-extras-0.4-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hledger-0.23.2-1.fc22,ghc-wizards-1.0.1-1.fc22,ghc-control-monad-free-0.6.1-3.fc22,ghc-tabular-0.2.2.7-2.fc22,ghc-prelude-extras-0.4-2.fc22
Comment 5 Fedora Update System 2015-03-13 12:57:58 EDT
ghc-wizards-1.0.1-1.fc22, ghc-tabular-0.2.2.7-2.fc22, ghc-control-monad-free-0.6.1-3.fc22, ghc-prelude-extras-0.4-2.fc22, ghc-shakespeare-text-1.1.0-3.fc22, hledger-0.24-1.fc22, ghc-hledger-lib-0.24-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.